ISWALPHA(3)

NAME
iswalpha, iswalpha_l - alphabetic wide character test

SYNOPSIS

#include <wctype.h>

int iswalpha(wint_t c);

#include <wctype.h>

int iswalpha_l(wint_t c, locale_t locale);

DESCRIPTION

iswalpha is a function which classifies wide-character values that are alphabetic.

iswalpha_l is like iswalpha but performs the check based on the locale specified by the locale object locale. If locale is LC_GLOBAL_LOCALE or not a valid locale object, the behaviour is undefined.

RETURNS

iswalpha, iswalpha_l return non-zero if c is an alphabetic wide character.

PORTABILITY

iswalpha is C99. iswalpha_l is POSIX-1.2008.

No supporting OS subroutines are required.